<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: winshare.php,v 1.12 2001/07/10 01:32:05 mikew Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-winshare", "/base/winshare/winshareHandler.php");

// get object
$oids = $cceClient->find("System");
$winShare = $cceClient->get($oids[0], "WinShare");
$winNetwork = $cceClient->get($oids[0], "WinNetwork");

$page = $factory->getPage();

$block = $factory->getPagedBlock("winshareSettings", array("basic", "advanced"));

$block->addFormField(
  $factory->getBoolean("enableServerField", $winShare["enabled"]),
  $factory->getLabel("enableServerField"),
  "basic"
);

$block->addFormField(
  $factory->getInteger("maxUserField", $winShare["maxConnections"], 1, 1024),
  $factory->getLabel("maxUserField"),
  "basic"
);

$block->addFormField(
  $factory->getTextField("workgroupField", $winNetwork["workgroup"]),
  $factory->getLabel("workgroupField"),
  "basic"
);

$block->addFormField(
  $factory->getBoolean("networkLogonField", $winNetwork["domainLogon"]),
  $factory->getLabel("networkLogonField"),
  "advanced"
);

// make the others option with an IP address
$others = $factory->getOption("winsServerOthers");
$others->addFormField(
  $factory->getIpAddress("winsServerIpAddressField", $winNetwork["winsIpAddress"]),
  $factory->getLabel("winsServerIpAddressField")
);

// make WINS server field
$winsServer = $factory->getMultiChoice("winsServerField", array("winsServerNone", "winsServerSelf"));
$winsServer->addOption($others);

// set selected
$settingToIndex = array("none" => 0, "self" => 1, "others" => 2);
$winsServer->setSelected($settingToIndex[$winNetwork["winsSetting"]], true);

$block->addFormField(
  $winsServer,
  $factory->getLabel("winsServerField"),
  "advanced"
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php if ($winNetwork["domainLogon"]) {
$windowsButton = $factory->getButton("machineList.php", "windowsMachineButton");
print $windowsButton->toHtml() . "<br>";
}?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
